Index: inc/dbschema/upgrade.php
===================================================================
--- inc/dbschema/upgrade.php	(revision 19)
+++ inc/dbschema/upgrade.php	(revision 0)
@@ -143,46 +143,4 @@
 				}
 			}
-
-			if (version_compare($version,'2.3','<'))
-			{
-				# Add global favorites
-				$init_fav = array();
-
-				$init_fav['new_post'] = array('new_post',__('New entry'),'post.php',
-					'images/menu/edit.png','images/menu/edit-b.png',
-					'usage,contentadmin',null,'menu-new-post');
-				$init_fav['posts'] = array('posts',__('Entries'),'posts.php',
-					'images/menu/entries.png','images/menu/entries-b.png',
-					'usage,contentadmin',null,null);
-				$init_fav['comments'] = array('comments',__('Comments'),'comments.php',
-					'images/menu/comments.png','images/menu/comments-b.png',
-					'usage,contentadmin',null,null);
-				$init_fav['prefs'] = array('prefs',__('My preferences'),'preferences.php',
-					'images/menu/user-pref.png','images/menu/user-pref-b.png',
-					'*',null,null);
-				$init_fav['blog_pref'] = array('blog_pref',__('Blog settings'),'blog_pref.php',
-					'images/menu/blog-pref.png','images/menu/blog-pref-b.png',
-					'admin',null,null);
-				$init_fav['blog_theme'] = array('blog_theme',__('Blog appearance'),'blog_theme.php',
-					'images/menu/themes.png','images/menu/blog-theme-b.png',
-					'admin',null,null);
-
-				$init_fav['pages'] = array('pages',__('Pages'),'plugin.php?p=pages',
-					'index.php?pf=pages/icon.png','index.php?pf=pages/icon-big.png',
-					'contentadmin,pages',null,null);
-				$init_fav['blogroll'] = array('blogroll',__('Blogroll'),'plugin.php?p=blogroll',
-					'index.php?pf=blogroll/icon-small.png','index.php?pf=blogroll/icon.png',
-					'usage,contentadmin',null,null);
-
-				$count = 0;
-				foreach ($init_fav as $k => $f) {
-					$t = array('name' => $f[0],'title' => $f[1],'url' => $f[2], 'small-icon' => $f[3],
-						'large-icon' => $f[4],'permissions' => $f[5],'id' => $f[6],'class' => $f[7]);
-					$sqlstr = 'INSERT INTO '.$core->prefix.'pref (pref_id, user_id, pref_ws, pref_value, pref_type, pref_label) VALUES ('.
-						'\''.sprintf("g%03s",$count).'\',NULL,\'favorites\',\''.serialize($t).'\',\'string\',NULL);';
-					$core->con->execute($sqlstr);
-					$count++;
-				}
-			}
 			
 			$core->setVersion('core',DC_VERSION);
Index: inc/prepend.php
===================================================================
--- inc/prepend.php	(revision 9)
+++ inc/prepend.php	(revision 7)
@@ -53,6 +53,4 @@
 $__autoload['dcXmlRpc']				= dirname(__FILE__).'/core/class.dc.xmlrpc.php';
 $__autoload['dcLog']				= dirname(__FILE__).'/core/class.dc.log.php';
-$__autoload['dcWorkspace']			= dirname(__FILE__).'/core/class.dc.workspace.php';
-$__autoload['dcPrefs']				= dirname(__FILE__).'/core/class.dc.prefs.php';
 
 $__autoload['rsExtPost']				= dirname(__FILE__).'/core/class.dc.rs.extensions.php';
Index: plugins/antispam/_admin.php
===================================================================
--- plugins/antispam/_admin.php	(revision 3)
+++ plugins/antispam/_admin.php	(revision 0)
@@ -23,13 +23,4 @@
 $core->addBehavior('adminAfterCommentDesc',array('dcAntispam','statusMessage'));
 $core->addBehavior('adminDashboardIcons',array('dcAntispam','dashboardIcon'));
-
-$core->addBehavior('adminDashboardFavs','antispamDashboardFavs');
-
-function antispamDashboardFavs($core,$favs)
-{
-	$favs['antispam'] = new ArrayObject(array('antispam',__('Antispam'),'plugin.php?p=antispam',
-		'index.php?pf=antispam/icon.png','index.php?pf=antispam/icon-big.png',
-		'admin',null,null));
-}
 
 if (!DC_ANTISPAM_CONF_SUPER || $core->auth->isSuperAdmin()) {
Index: plugins/antispam/filters/class.dc.filter.ip.php
===================================================================
--- plugins/antispam/filters/class.dc.filter.ip.php	(revision 3)
+++ plugins/antispam/filters/class.dc.filter.ip.php	(revision 0)
@@ -173,5 +173,5 @@
 			$res .=
 			'</div>'.
-			'<p><input class="submit delete" type="submit" value="'.__('Delete').'"/>'.
+			'<p><input class="submit" type="submit" value="'.__('Delete').'"/>'.
 			$core->formNonce().
 			form::hidden(array('ip_type'),$type).
Index: plugins/antispam/filters/class.dc.filter.words.php
===================================================================
--- plugins/antispam/filters/class.dc.filter.words.php	(revision 3)
+++ plugins/antispam/filters/class.dc.filter.words.php	(revision 0)
@@ -166,5 +166,5 @@
 			'<p>'.form::hidden(array('spamwords'),1).
 			$core->formNonce().
-			'<input class="submit delete" type="submit" value="' . __('Delete selected words') . '"/></p>'.
+			'<input class="submit" type="submit" value="' . __('Delete selected words') . '"/></p>'.
 			'</fieldset></form>';
 		}
Index: plugins/antispam/index.php
===================================================================
--- plugins/antispam/index.php	(revision 3)
+++ plugins/antispam/index.php	(revision 0)
@@ -147,5 +147,5 @@
 		'<p>'.$core->formNonce().
 		form::hidden('ts',time()).
-		'<input name="delete_all" class="delete" type="submit" value="'.__('Delete all spams').'" /></p>';
+		'<input name="delete_all" type="submit" value="'.__('Delete all spams').'" /></p>';
 	}
 	if ($moderationTTL != null && $moderationTTL >=0) {
Index: plugins/blogroll/_admin.php
===================================================================
--- plugins/blogroll/_admin.php	(revision 3)
+++ plugins/blogroll/_admin.php	(revision 0)
@@ -13,14 +13,7 @@
 
 $core->addBehavior('adminDashboardIcons','blogroll_dashboard');
-$core->addBehavior('adminDashboardFavs','blogroll_dashboard_favs');
 function blogroll_dashboard($core,$icons)
 {
 	$icons['blogroll'] = new ArrayObject(array(__('Blogroll'),'plugin.php?p=blogroll','index.php?pf=blogroll/icon.png'));
-}
-function blogroll_dashboard_favs($core,$favs)
-{
-	$favs['blogroll'] = new ArrayObject(array('blogroll',__('Blogroll'),'plugin.php?p=blogroll',
-		'index.php?pf=blogroll/icon-small.png','index.php?pf=blogroll/icon.png',
-		'usage,contentadmin',null,null));
 }
 
Index: plugins/blogroll/edit.php
===================================================================
--- plugins/blogroll/edit.php	(revision 3)
+++ plugins/blogroll/edit.php	(revision 0)
@@ -114,5 +114,5 @@
 	form::hidden('id',$id).
 	$core->formNonce().
-	'<input type="submit" name="edit_cat" value="'.__('save').'"/></p>'.
+	'<input type="submit" name="edit_cat" class="submit" value="'.__('save').'"/></p>'.
 	'</fieldset>'.
 	'</form>';
@@ -144,5 +144,5 @@
 	form::hidden('id',$id).
 	$core->formNonce().
-	'<input type="submit" name="edit_link" value="'.__('save').'"/></p>'.
+	'<input type="submit" name="edit_link" class="submit" value="'.__('save').'"/></p>'.
 	'</fieldset>'.
 	
Index: plugins/blogroll/index.php
===================================================================
--- plugins/blogroll/index.php	(revision 3)
+++ plugins/blogroll/index.php	(revision 0)
@@ -286,5 +286,5 @@
 		'<input type="submit" name="saveorder" value="'.__('Save order').'"></p>'.
 		
-		'<p class="col right"><input type="submit" class="delete" name="removeaction"'.
+		'<p class="col right"><input type="submit" name="removeaction"'.
 		'value="'.__('Delete selected links').'" '.
 		'onclick="return window.confirm(\''.html::escapeJS(
@@ -301,5 +301,5 @@
 <?php
 echo
-'<div class="multi-part clear" id="add-link" title="'.__('Add a link').'">'.
+'<div class="multi-part" id="add-link" title="'.__('Add a link').'">'.
 '<form action="plugin.php" method="post" id="add-link-form">'.
 '<fieldset class="two-cols"><legend>'.__('Add a new link').'</legend>'.
Index: plugins/importExport/_admin.php
===================================================================
--- plugins/importExport/_admin.php	(revision 3)
+++ plugins/importExport/_admin.php	(revision 0)
@@ -20,12 +20,3 @@
 $__autoload['dcImport'] = dirname(__FILE__).'/inc/flat/class.dc.import.php';
 $__autoload['dbExport'] = dirname(__FILE__).'/inc/flat/class.db.export.php';
-
-$core->addBehavior('adminDashboardFavs','importExportDashboardFavs');
-
-function importExportDashboardFavs($core,$favs)
-{
-	$favs['importExport'] = new ArrayObject(array('importExport',__('Import/Export'),'plugin.php?p=importExport',
-		'index.php?pf=importExport/icon.png','index.php?pf=importExport/icon-big.png',
-		'admin',null,null));
-}
 ?>
Index: plugins/maintenance/_admin.php
===================================================================
--- plugins/maintenance/_admin.php	(revision 3)
+++ plugins/maintenance/_admin.php	(revision 0)
@@ -15,12 +15,3 @@
 		preg_match('/plugin.php\?p=maintenance(&.*)?$/',$_SERVER['REQUEST_URI']),
 		$core->auth->isSuperAdmin());
-
-$core->addBehavior('adminDashboardFavs','maintenanceDashboardFavs');
-
-function maintenanceDashboardFavs($core,$favs)
-{
-	$favs['maintenance'] = new ArrayObject(array('maintenance',__('Maintenance'),'plugin.php?p=maintenance',
-		'index.php?pf=maintenance/icon.png','index.php?pf=maintenance/icon-big.png',
-		null,null,null));
-}
 ?>
Index: plugins/pages/_admin.php
===================================================================
--- plugins/pages/_admin.php	(revision 3)
+++ plugins/pages/_admin.php	(revision 0)
@@ -13,17 +13,7 @@
 
 $core->addBehavior('adminDashboardIcons','pages_dashboard');
-$core->addBehavior('adminDashboardFavs','pages_dashboard_favs');
 function pages_dashboard($core,$icons)
 {
 	$icons['pages'] = new ArrayObject(array(__('Pages'),'plugin.php?p=pages','index.php?pf=pages/icon-big.png'));
-}
-function pages_dashboard_favs($core,$favs)
-{
-	$favs['pages'] = new ArrayObject(array('pages',__('Pages'),'plugin.php?p=pages',
-		'index.php?pf=pages/icon.png','index.php?pf=pages/icon-big.png',
-		'contentadmin,pages',null,null));
-	$favs['newpage'] = new ArrayObject(array('newpage',__('New page'),'plugin.php?p=pages&amp;act=page',
-		'index.php?pf=pages/icon-np.png','index.php?pf=pages/icon-np-big.png',
-		'contentadmin,pages',null,null));
 }
 
Index: plugins/pages/list.php
===================================================================
--- plugins/pages/list.php	(revision 3)
+++ plugins/pages/list.php	(revision 0)
@@ -176,6 +176,6 @@
 <body>
 <?php
-echo '<h2>'.html::escapeHTML($core->blog->name).' &rsaquo; '.__('Pages').'</h2>'.
-'<p class="top-add"><a class="button add" href="'.$p_url.'&amp;act=page"><img src="images/add.png" alt="" />'.__('New page').'</a></p>';
+echo '<h2>'.html::escapeHTML($core->blog->name).' &rsaquo; '.__('Pages').
+' - <a class="button" href="'.$p_url.'&amp;act=page">'.__('New page').'</a></h2>';
 
 if (!$core->error->flag())
Index: plugins/pages/page.php
===================================================================
--- plugins/pages/page.php	(revision 3)
+++ plugins/pages/page.php	(revision 0)
@@ -462,5 +462,5 @@
 	'<input type="submit" value="'.__('save').' (s)" tabindex="4" '.
 	'accesskey="s" name="save" /> '.
-	($can_delete ? '<input type="submit" class="delete" value="'.__('delete').'" name="delete" />' : '').
+	($can_delete ? '<input type="submit" value="'.__('delete').'" name="delete" />' : '').
 	$core->formNonce().
 	'</p>';
Index: plugins/pings/_admin.php
===================================================================
--- plugins/pings/_admin.php	(revision 3)
+++ plugins/pings/_admin.php	(revision 0)
@@ -36,12 +36,3 @@
 $core->addBehavior('adminAfterPostCreate',array('pingsBehaviors','doPings'));
 $core->addBehavior('adminAfterPostUpdate',array('pingsBehaviors','doPings'));
-
-$core->addBehavior('adminDashboardFavs','pingDashboardFavs');
-
-function pingDashboardFavs($core,$favs)
-{
-	$favs['pings'] = new ArrayObject(array('pings',__('Pings'),'plugin.php?p=pings',
-		'index.php?pf=pings/icon.png','index.php?pf=pings/icon-big.png',
-		null,null,null));
-}
 ?>
Index: plugins/tags/_admin.php
===================================================================
--- plugins/tags/_admin.php	(revision 3)
+++ plugins/tags/_admin.php	(revision 0)
@@ -38,16 +38,7 @@
 $core->addBehavior('coreInitWikiPost',array('tagsBehaviors','coreInitWikiPost'));
 
-$core->addBehavior('adminDashboardFavs',array('tagsBehaviors','dashboardFavs'));
-
 # BEHAVIORS
 class tagsBehaviors
 {
-	public static function dashboardFavs($core,$favs)
-	{
-		$favs['tags'] = new ArrayObject(array('tags',__('Tags'),'plugin.php?p=tags&amp;m=tags',
-			'index.php?pf=tags/icon.png','index.php?pf=tags/icon-big.png',
-			'usage,contentadmin',null,null));
-	}
-
 	public static function coreInitWikiPost($wiki2xhtml)
 	{
Index: plugins/tags/tag_posts.php
===================================================================
--- plugins/tags/tag_posts.php	(revision 3)
+++ plugins/tags/tag_posts.php	(revision 0)
@@ -155,5 +155,5 @@
 		echo
 		'<form id="tag_delete" action="'.$this_url.'" method="post">'.
-		'<p><input type="submit" class="delete" name="delete" value="'.__('Delete this tag').'" />'.
+		'<p><input type="submit" name="delete" value="'.__('Delete this tag').'" />'.
 		$core->formNonce().'</p>'.
 		'</form>';
Index: plugins/widgets/_widgets_functions.php
===================================================================
--- plugins/widgets/_widgets_functions.php	(revision 3)
+++ plugins/widgets/_widgets_functions.php	(revision 0)
@@ -26,5 +26,5 @@
 		'<fieldset>'.
 		'<p><input type="text" size="10" maxlength="255" id="q" name="q" value="'.$value.'" /> '.
-		'<input type="submit" value="ok" /></p>'.
+		'<input class="submit" type="submit" value="ok" /></p>'.
 		'</fieldset>'.
 		'</form>'.
Index: plugins/widgets/index.php
===================================================================
--- plugins/widgets/index.php	(revision 3)
+++ plugins/widgets/index.php	(revision 0)
@@ -200,5 +200,5 @@
 $core->formNonce().
 '<input type="submit" name="wup" value="'.__('update sidebars').'" /> '.
-'<input type="submit" class="reset" name="wreset" value="'.__('reset sidebars').'" /></p>'.
+'<input type="submit" name="wreset" value="'.__('reset sidebars').'" /></p>'.
 '</form>';
 
